Package com.beust.jcommander

# Class Parameterized

java.lang.Object
com.beust.jcommander.Parameterized

public class Parameterized extends Object
Encapsulate a field or a method annotated with @Parameter or @DynamicParameter

## Constructor Summary

Constructors
Constructor
Description
`Parameterized(WrappedParameter wp, ParametersDelegate pd, Field field, Method method)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Type`
`findFieldGenericType()`
`Object`
`get(Object object)`
`ParametersDelegate`
`getDelegateAnnotation()`
`Type`
`getGenericType()`
`String`
`getName()`
`Parameter`
`getParameter()`
`Class<?>`
`getType()`
`WrappedParameter`
`getWrappedParameter()`
`int`
`hashCode()`
`boolean`
`isDynamicParameter()`
`boolean`
`isDynamicParameter(Field field)`
`static List<Parameterized>`
`parseArg(Object arg)`
`void`
`set(Object object, Object value)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parameterized

public Parameterized(WrappedParameter wp, ParametersDelegate pd, Field field, Method method)

## Method Details

### parseArg

public static List<Parameterized> parseArg(Object arg)

### getWrappedParameter

public WrappedParameter getWrappedParameter()

### getType

public Class<?> getType()

### getName

public String getName()

### get

public Object get(Object object)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### isDynamicParameter

public boolean isDynamicParameter(Field field)

### set

public void set(Object object, Object value)

### getDelegateAnnotation

public ParametersDelegate getDelegateAnnotation()

### getGenericType

public Type getGenericType()

### getParameter

public Parameter getParameter()

### findFieldGenericType

public Type findFieldGenericType()

Returns:
  the generic type of the collection for this field, or null if not applicable.

### isDynamicParameter

public boolean isDynamicParameter()